Delete an external payrollCopy Pagedelete https://api.gusto-demo.com/v1/companies/{company_uuid}/external_payrolls/{external_payroll_id}Delete an external payroll. scope: external_payrolls:writePath Paramscompany_uuidstringrequiredThe UUID of the companyexternal_payroll_idstringrequiredThe UUID of the external payrollHeadersX-Gusto-API-VersionstringenumDefaults to 2025-11-15Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.2025-11-15Allowed:2025-11-15Responses 204No Content 404Not Found The requested resource does not exist. Make sure the provided UUID is valid. 422Unprocessable Entity This may happen when the body of your request contains errors such as invalid_attribute_value, or the request fails due to an invalid_operation. See the Errors Categories guide for more details.Updated 26 days ago